/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element.action;

import org.xmloperator.reactive.Action;

import org.xmloperator.reactive.element.ParentElement;

/**
 * Action that impacts an Element of the community board.
 */
public interface ElementAction extends Action {
	
	/**
	 * Returns the ParentElement whose the execution of this Action
	 *   would touch to its children Element.
	 * @return the ParentElement whose the execution of this Action
	 *   would touch to its children Element.
	 */
	public ParentElement getTouchedParentElement();
}
