/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.facet.event;

/**
 * BoolCondition implementation of a false value.
 */
public final class FalseBoolCondition extends BoolConditionImpl {
	
	static final FalseBoolCondition FALSE = new FalseBoolCondition();
	
	private FalseBoolCondition() {
	}
	
	//////////////////////////
	// BoolNode implementation
	//////////////////////////
	
	public boolean isResolved() {
		return true;
	}
	
	////////////////////////
	// Object implementation
	////////////////////////
	
	public String toString() {
		return "false";
	}
}
