/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.util;

import org.xmloperator.reactive.TermsAttachment;

import org.xmloperator.reactive.impl.TermsImpl;
import org.xmloperator.reactive.impl.TermsAttachmentImpl;

/**
 * TermsAttachment factory.
 */
public abstract class TermsAttachmentFactory {
	
	public static TermsAttachment newTermsAttachment(Object obj_0) {
		return new TermsAttachmentImpl(new TermsImpl(obj_0));
	}

	public static TermsAttachment newTermsAttachment(Object obj_0, Object obj_1) {
		return new TermsAttachmentImpl(new TermsImpl(obj_0, obj_1));
	}

	public static TermsAttachment newTermsAttachment(Object obj_0, Object obj_1,
			Object obj_2) {
		return new TermsAttachmentImpl(new TermsImpl(obj_0, obj_1,
				obj_2));
	}

	public static TermsAttachment newTermsAttachment(Object obj_0, Object obj_1,
			Object obj_2, Object obj_3) {
		return new TermsAttachmentImpl(new TermsImpl(obj_0, obj_1,
				obj_2, obj_3));
	}
}
