/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element;

/**
 * DataElement with a String content and no child.
 */
public interface StringDataElement extends DataElement {

	/**
	 * Returns the data associated to this StringElement if any, null elsewhere.
	 * @return the data associated to this StringElement if any, null elsewhere.
	 */
	public String getData();
}
